Bug 438778 - [bn, bn_IN]Phonetic input map Probhat requires updations for ZWNJ and ZWJ
[bn, bn_IN]Phonetic input map Probhat requires updations for ZWNJ and ZWJ
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: m17n-contrib (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag Nemade
Fedora Extras Quality Assurance
: i18n
Depends On: 433416
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-24 23:52 EDT by Parag Nemade
Modified: 2008-03-26 13:14 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.1.6-2.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-26 13:14:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Parag Nemade 2008-03-24 23:52:36 EDT
+++ This bug was initially created as a clone of Bug #433416 +++

Description of problem:

Bengali Probhat keymap needs updation, due to upstream modifications. Position
on ZWNJ and ZWJ have been modified.

Old keymapping:

ZERO WIDTH NON-JOINER (U+200C) at  '-' 
ZERO WIDTH JOINER (U+200D) at '+'

New keymapping:

ZERO WIDTH NON-JOINER (U+200C) at  '`'
ZERO WIDTH JOINER (U+200D) at '\'
ADDITION SIGN + = restored to '+' key
SUBTRACTION SIGN - = restored to '-' key



Additional info:

1. bn-probhat.mim file with the new changes attached

2. Screenshot for the new keymap:
http://www.bengalinux.org/images/probhat_layout.png

-- Additional comment from runab@redhat.com on 2008-02-19 00:31 EST --
Created an attachment (id=295260)
bn-probhat.mim file with new changes for ZWJ and ZWNJ position changes


-- Additional comment from pnemade@redhat.com on 2008-02-26 04:01 EST --
From attached file I see that 
ZERO WIDTH NON-JOINER (U+200C) at  '~' and NOT at '`' as per given in initial
comment.


-- Additional comment from pnemade@redhat.com on 2008-02-26 04:05 EST --
Created an attachment (id=295884)
patch

Runa,
  Can you please confirm changes given in attached patch?


-- Additional comment from runab@redhat.com on 2008-02-26 04:45 EST --
Parag, 
The above patch contains 200c in both ~ and `. Also,  my bad, the earlier .mim
file I submitted had the 200c and 200d in reverse positions. Kindly consider the
following as correct:

Old keymapping:

ZERO WIDTH NON-JOINER (U+200C) at  '-' 
ZERO WIDTH JOINER (U+200D) at '+'

New keymapping:

ZERO WIDTH JOINER (U+200D) at  '`'
ZERO WIDTH NON-JOINER (U+200C) at '\'
ADDITION SIGN + = restored to '+' key
SUBTRACTION SIGN - = restored to '-' key

Attachment of the patch submitted as well. Parag, can you please take a look as
well.

Thanks a lot and apologies once again for the confusion.

Runa

-- Additional comment from runab@redhat.com on 2008-02-26 04:45 EST --
Created an attachment (id=295886)
patch file for the above changes


-- Additional comment from runab@redhat.com on 2008-02-26 04:46 EST --
Created an attachment (id=295887)
complete bn-probhat file for the modifications - corrected


-- Additional comment from pnemade@redhat.com on 2008-02-26 06:09 EST --
Runa,
  Thanks for patch. Will commit this patch in fedora cvs.

-- Additional comment from runab@redhat.com on 2008-02-26 06:40 EST --
Thanks Parag. Please do ping me, Jamil or Sayamindu, in case any you need any
clarifications.


-- Additional comment from pnemade@redhat.com on 2008-02-28 22:12 EST --
Built in m17n-contrib-bengali-1.1.6-2.fc9
Package is available in rawhide now.

-- Additional comment from runab@redhat.com on 2008-02-29 05:06 EST --
Tested. Looks good. Thanks Parag.

-- Additional comment from runab@redhat.com on 2008-03-06 04:26 EST --
This is a common phonetic keymap used by both the bn and bn_IN locales (both are
in Fedora and this is a Fedora bug. I suggest not to remove the [bn] tag. Adding
[bn] back. Thanks.
Comment 1 Parag Nemade 2008-03-24 23:58:38 EDT
For backporting updates to F8 branch, i have cloned this bug. I have kept all
comments from original bugs as its already fixed and in rawhide.
Comment 2 Fedora Update System 2008-03-25 00:53:52 EDT
m17n-contrib-1.1.6-2.fc8 has been submitted as an update for Fedora 8
Comment 3 Fedora Update System 2008-03-26 13:14:19 EDT
m17n-contrib-1.1.6-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.